
layout(location = 0) in vec3 vertex_position;
layout(location = 1) in vec3 vertex_normal;
layout(location = 2) in vec2 in_texture_coordinates;

out vec3 normal;
out vec2 texture_coordinates;
out vec3 fragPos;
out vec3 position_eye, normal_eye;
uniform mat4 proj, view, model;
uniform sampler2D basic_texture;
uniform float randNum;

void main () {
	normal = vertex_normal;
	texture_coordinates = in_texture_coordinates;
	position_eye = vec3 (view  * vec4 (vertex_position, 1.0));
	normal_eye = vec3 (view  * vec4 (vertex_normal, 0.0));
	gl_Position = proj * view * model * vec4 (vertex_position, 1.0);
	fragPos = vertex_position;
	if(randNum < 0.25) {
		fragPos.x--;
	} else if(randNum < 0.5) {
		fragPos.x++;
	} else if(randNum < 0.75) {
		fragPos.y--;
	} else {
		fragPos.y++;
	}
}